Distribution:   CCux
Packager:       Stefan Gottwald <gotti@ccux-linux.de>

Summary: 	Utilities for the XFce Desktop Environment.
Name: 		xfce-utils
Version: 	4.4.2
Release: 	1
License:	GPL
URL: 		http://www.xfce.org/
Source0: 	%{name}-%{version}.tar.bz2
Source1:	ccux-start-xfce
Source2:	xfce.desktop
Group: 		Graphical Desktop/Xfce/Base
BuildRoot: 	%{_tmppath}/%{name}-buildroot
Requires:	libxfcegui4 >= 4.4.0
Requires:	libxfce4mcs >= 4.4.0
Requires:	xfce-mcs-manager
Requires:	xscreensaver dbus-x11
BuildRequires: 	libxfcegui4-devel >= 4.4.0
BuildRequires:	libxfce4mcs-devel >= 4.4.0
BuildRequires:	xfce-mcs-manager-devel
BuildRequires:	libxfce4util-devel >= 4.4.0
BuildRequires:	dbh-devel
BuildRequires:  libICE-devel
BuildRequires:  libSM-devel
BuildRequires:  libX11-devel
BuildRequires:  libXext-devel
BuildRequires:  libXrender-devel
BuildRequires:  atk-devel
BuildRequires:  glibc-devel
BuildRequires:  cairo-devel
BuildRequires:  dbus-devel
BuildRequires:  dbus-glib-devel
BuildRequires:  expat-devel
BuildRequires:  fontconfig-devel
BuildRequires:  freetype-devel
BuildRequires:  gdk-pixbuf-devel
BuildRequires:  glib-devel
BuildRequires:  gtk2+-devel
BuildRequires:  pango-devel
BuildRequires:  libpng-devel
BuildRequires:  startup-notification-devel
BuildRequires:  zlib-devel

%description
xfce-utils contains utilities for the XFce Desktop Environment.

%prep
%setup -q -n %{name}-%{version}

%build
%configure --sysconfdir=%_sysconfdir/xfce --enable-gdm
make

%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT mandir=%_mandir

install -m 755 %{SOURCE1} $RPM_BUILD_ROOT%_bindir
install -m 755 %{SOURCE2} $RPM_BUILD_ROOT%_datadir/xsessions

%find_lang %{name}
%clean
rm -rf $RPM_BUILD_ROOT

%files -f %{name}.lang
%defattr(-,root,root)
%_bindir
%_datadir/xfce4
%_datadir/icons
%_datadir/xsessions
%_datadir/apps
%_datadir/dbus-1
%_sysconfdir/xfce
%_sysconfdir/X11

%changelog
* Sun Dec 30 2007 Stefan Gottwald <gotti@ccux-linux.de> 4.4.2-1
- Version update
* Sun Oct 07 2007 Stefan Gottwald <gotti@ccux-linux.de> 4.4.1-1
- Version update
* Wed Jan 31 2007 Christian Metzen <metzench@ccux-linux.de> 4.4.0-1
- Version update
* Sun Nov 26 2006 Christian Metzen <metzench@ccux-linux.de> 4.3.99.2-2
- clean gdm integration with own startup script
* Sat Nov 25 2006 Christian Metzen <metzench@ccux-linux.de> 4.3.99.2-1
- cleaned version, moved libexecdir and sysconfdir
* Thu Nov 23 2006 Stefan Gottwald <gotti@ccux-linux.de> 4.3.99-3
- Version Update RC2
* Fri Sep 29 2006 Karsten Brockmann <arcam@ccux-linux.de> 4.3.99-2
- rebuilt against dbus 0.93
* Mon Sep 04 2006 Stefan Gottwald <gotti@ccux-linux.de> 4.3.99-1
- Version Update, RC1
* Thu Jul 20 2006 Stefan Gottwald <gotti@ccux-linux.de> 4.3.90-1
- Version Update, beta2
* Sat Nov 12 2005 Karsten Brockmann <arcam@ccux-linux.de> 4.2.3-1
- Version update
* Fri Oct 14 2005 Stefan Gottwald <gotti@ccux-linux.de> 4.2.2-1
- Initial Release
